Bug 1877012 - Hide cluster upgrade UI on OpenShift Dedicated and Amazon Red Hat OpenShift
Summary: Hide cluster upgrade UI on OpenShift Dedicated and Amazon Red Hat OpenShift
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.5.z
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1874257
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-08 17:49 UTC by Robb Hamilton
Modified: 2020-09-30 14:07 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The cluster upgrade UI is always present. Consequence: OpenShift Dedicated users are not permitted to perform cluster upgrades. Fix: Hide the cluster upgrade UI when the console branding is OpenShift Dedicated. Result: OpenShift Dedicated users do not see the cluster upgrade UI.
Clone Of: 1874257
Environment:
Last Closed: 2020-09-30 14:07:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6557 0 None closed Bug 1877083: add RBAC checks to cluster upgrade UI 2020-10-26 17:20:22 UTC
Github openshift console pull 6616 0 None closed [release-4.5] Bug 1877012: Hide cluster upgrade UI on OpenShift Dedicated 2020-10-26 17:20:36 UTC
Red Hat Product Errata RHBA-2020:3760 0 None None None 2020-09-30 14:07:29 UTC

Comment 1 Robb Hamilton 2020-09-10 15:18:06 UTC
This back port is not needed for 4.5.

Comment 2 Robb Hamilton 2020-09-14 17:24:10 UTC
Reopening as it back port is requested after all.

Comment 5 Yadan Pei 2020-09-22 05:52:28 UTC
1. create a cluster with 4.5.0-0.nightly-2020-09-18-234758
2. patch clusterversion to get updates
# oc patch clusterversion/version --patch '{"spec":{"upstream":"https://openshift-release.apps.ci.l2s4.p1.openshiftapps.com/graph"}}' --type=merge 
3. cluster admin user can view cluster updates info at Cluster Status card, Notification Drawer and Cluster Setting page
4. change brand to dedicated and wait for new console pods are running, refresh the browser
# oc patch console.operator cluster -p '{"spec":{"customization": {"brand":"dedicated","documentationBaseURL":"https://docs.okd.io/latest/"}}}' --type merge
console.operator.openshift.io/cluster patched
5. check cluster upgrade info in Notification Drawer && Cluster Status card, cluster upgrade info is not shown on these two pages
6. check cluster upgrade info on Cluster Settings page, we can only see  Update available message, but no 'Upgrade Now' button and upgrade channel list button is disabled


Verified on 4.5.0-0.nightly-2020-09-18-234758

Comment 9 errata-xmlrpc 2020-09-30 14:07:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.13 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3760


Note You need to log in before you can comment on or make changes to this bug.